Update Fraud Rule
curl --request PUT \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/fraud/rules/{rule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isActive": true,
"config": {},
"expiresAt": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isActive: true,
config: {},
expiresAt: '<string>'
})
};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/fraud/rules/{rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/fraud/rules/{rule_id}"
payload = {
"name": "<string>",
"description": "<string>",
"isActive": True,
"config": {},
"expiresAt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}fraud
Update Fraud Rule
PUT
/
v2
/
giftcards
/
programs
/
{programId}
/
fraud
/
rules
/
{rule_id}
Update Fraud Rule
curl --request PUT \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/fraud/rules/{rule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isActive": true,
"config": {},
"expiresAt": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isActive: true,
config: {},
expiresAt: '<string>'
})
};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/fraud/rules/{rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/fraud/rules/{rule_id}"
payload = {
"name": "<string>",
"description": "<string>",
"isActive": True,
"config": {},
"expiresAt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
